TECHNICAL-REQUIREMENTS

Technical requirements

 

In order to use all the applications in the Aftersales Online System (AOS), the following technical prerequisites must be met (as of: 17.08.2017).

1. Network/Internet connection

  • Internet access with a download bandwidth of at least 4 Mbps and an upload bandwidth of at least 400 Kbps is required.
  • In order to carry out vehicle diagnostics, the relevant workshop systems must be connected via a LAN connection with a bandwidth of at least 100 Mbps.
  • Vehicle programming requires a LAN connection with a bandwidth of at least 100 Mbps per programming session.
  • For optimal use, a maximum latency of 100ms to the AOS server in Munich is recommended.
  • It must be ensured that the IP address does not change during the session.

2. Hardware

To install and use the BMW service tools, a device with the following requirements is required:

  • The processor is at least a 2.2 GHz dual-core processor.
  • At least 4 GB of main memory
  • At least 250 GB of free disk space on drive C:
  • A screen resolution of at least 1280x1024
  • At least USB 2.0

To diagnose and program on the vehicle, you need one of the following Vehicle Communication Interfaces (VCI):

  • ICOM Next (recommended by BMW)
  • A LAN connection is required to connect the ICOM to the PC.
  • Pass-Through Tool (PTT), which must be compatible with SAE-J2534 (e.g. manufacturer Drew Technologies, I + ME ACTIA)
  • Depending on the manufacturer's specification, a free USB interface and the corresponding driver are required to connect the PTT.
  • PTTs must not be controlled via Bluetooth.

3. Operating system & amp; Runtime environments

To use the Aftersales Online System (AOS), you need one of the following operating systems:

  • Microsoft Windows 7 Professional / Enterprise © (64-bit) with Service Pack 1 or
  • Microsoft Windows 10 Professional / Enterprise © (64-bit).

In addition to the operating system, the following runtime environments must be installed to use the applications:

JAVA© - The following requirements must be met:

4th Browser

The browser Internet Explorer © 11 with Java Plug-in is required.

Note that on systems with Microsoft Windows 10 Professional/Enterprise © (64-bit), the Internet Explorer © 11 browser must be installed as a retrofit.

5. Installation and configuration settings

Please see the user guide for additional information, such as the additional software required and the configuration settings in the operating system or browser. Once registration is completed, you can find the user guide under Service -> Downloads, or directly on the information pages of the relevant applications.